Bug 170090 - Install: 'Exception Occured' after selecting keyboard language
Install: 'Exception Occured' after selecting keyboard language
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: James Antill
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-07 01:59 EDT by Todd R
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-22 20:07:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd R 2005-10-07 01:59:34 EDT
Description of problem:
I'm installing Fedora Core 4 on an IBM T21, I ran each cd through the test.  
version 3 installed fine for someone else (http://linux.is-a-
geek.net/laptop/t21-fc3.html).  The first time I ran it I got an error just 
after it started to install.  I rebooted and got this far, then rebooted again 
and again got this far.  As soon as I click Next a box comes up 
with "Searching for Fedora Core Installations"..chugs a little then the 
following "Exception Occured" window displays:

File "/user/lib/anaconda/gui.py", line 873, in nextClicked
  self.dispatch.gotoNext()
File "/user/lib/anaconda/dispatch.py", line 174, in gotoNext
  self.moveStep()
File "/user/lib/anaconda/dispatch.py", line 242, in moveStep
  rc=apply(func, self.vindArgs(args))
File "/user/lib/anaconda/upgrade.py", line 49, in findRootParts
  id.rootParts = findExistingRoots(intf, id, chroot)
File "/usr/lib/anaconda/upgrade.py", line 80, in findExistingRoots
  upgradeany = upgradeany)
File "/user/lib/anaconda/partedUtils.py", line 620, in 
findExistingRootPartitions
  for isValidXFS(device):
File "/user/lib/anaconda/fsset.py", line 2425, in inValidXFS
  buf = os.read(fd, 4)
OSError: [Errno 5] Input/output error

If I select the text install I get the below at the same spot:
File "/usr/bin/anaconda", line 1160, in ?
  intf.run(id, dispatch)
File "/usr/lib/anaconda/text.py, line 
496, in run
  dispatch.gotoNext()
File "/user/lib/anaconda/dispatch.py", line 174, in gotoNext
  self.moveStep()
File "/user/lib/anaconda/dispatch.py", line 242, in moveStep
  rc=apply(func, self.vindArgs(args))
File "/user/lib/anaconda/upgrade.py", line 49, in findRootParts
  id.rootParts = findExistingRoots(intf, id, chroot)
File "/usr/lib/anaconda/upgrade.py", line 80, in findExistingRoots
  upgradeany = upgradeany)
File "/user/lib/anaconda/partedUtils.py", line 620, in 
findExistingRootPartitions
  for isValidXFS(device):
File "/usr/lib/anaconda/fsset.py", line
2494, in getFStoTry
  if isValidXFS(device):
File "/usr/lib/anaconda/fsset.py", line
2425, in isValidXFS
  buf = os.read(fd, 4)
OSError: [Errno 5] Input/output error

These cd's are freshly burned so maybe there's something wrong but I highly 
doubt it if the 'test' i ran them through in the beginning came up as "Pass"

Version-Release number of selected component (if applicable):


How reproducible:
every time

Steps to Reproduce:
1.boot from cd #1
2.select only defaults (simply hit next in each screen)
3.error comes up after selecting keyboard-english, right as I hit Next
  
Actual results:
The "Exception Occured" box pops up and I must reboot.  I can go into debut 
mode but am not familiar with the "(Pdb)" command prompt to do anything with 
it..

Expected results:
It should go to the next question/prompt in the installation procedure (not 
surprising..)

Additional info:
Comment 1 Chris Lumens 2005-10-10 11:05:27 EDT
Please attach the complete /tmp/anacdump.txt file to this bug report.
Comment 2 Todd R 2005-10-11 20:07:50 EDT
I'm a linux newbie doing my first install.  How do I get that file?
Thanks
Comment 3 Todd R 2005-10-11 20:24:02 EDT
I should also mention there isn't an OS on the box right now.  I just tried 
installing Fedora Core 3 and it errored out at the same exact spot as it did 
for 4.  The last line (most recent call) says:

File "/usr/src/build/475969-i386/install/usr/anaconda/fsset.py", line 2344, in
 buf = os.read(fd, 4)
OSError: [Errno 5] Input/output error

Let me know if I must type everything out.

Thanks again!!
Todd
Comment 4 Chris Lumens 2005-10-12 11:57:36 EDT
When the exception traceback dialog appears, it will allow you to save the full
traceback to a floppy disk.  Assuming your machine has a floppy drive, you can
use that to save the traceback and then attach it to this bug report.  If you
have an account on another computer, you can also switch to another terminal and
use scp to send it somewhere, but I won't bother you with those complete
instructions unless you need them.
Comment 6 James Antill 2007-05-22 20:07:20 EDT
 18 months

Note You need to log in before you can comment on or make changes to this bug.